petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMTSSetIJacobianLocal

set a local Jacobian evaluation function

### Synopsis

    #include "petscts.h"
    PetscErrorCode DMTSSetIJacobianLocal(DM dm, PetscErrorCode (*func)(DM, PetscReal, Vec, Vec, PetscReal, Mat, Mat, void *), void *ctx)

Logically Collective

### Input Arguments

| dm | - DM to associate callback with
| func | - local Jacobian evaluation
| ctx | - optional context for local Jacobian evaluation

### See Also

DMTSSetIFunctionLocal(), DMTSSetIJacobian(), DMTSSetIFunction()

Level:beginner
Location:src/ts/utils/dmlocalts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages